<!-- Root-Template für Statistikdaten  -->
	
	<script type="text/javascript">

		function wpsg_statistic_addExportButton()
		{

			var z = 0;
			
			if (!jQuery.jqplot.use_excanvas) {
				jQuery('div.jqplot-target').each(function(){
		            var outerDiv = jQuery(document.createElement('div'));
		            var header = jQuery(document.createElement('div'));
		            var div = jQuery(document.createElement('div'));

		            outerDiv.append(header);
		            outerDiv.append(div);

		            outerDiv.addClass('jqplot-image-container' + z);
		            header.addClass('jqplot-image-container-header');
		            div.addClass('jqplot-image-container-content');

		            header.html('<?php echo '<span style="font-size:11px;">'.__('Um das Bild auf Ihrer Festplatte zu speichern, klicken Sie mit der rechten Maustaste auf das Bild und wählen Sie "Bild speichern unter..."', 'wpsg').'</span>'; ?>');
		            header.append('<br /><br />');

		            jQuery(this).after(outerDiv);
		            outerDiv.hide();

		            outerDiv = header = div = close = null;

		            if (!jQuery.jqplot._noToImageButton) {
		                var btn = jQuery(document.createElement('button'));
		                btn.addClass('button');
		                btn.text('Bild exportieren');
		                btn.css('margin-top', '25px');
		                btn.addClass('jqplot-image-button');
		                btn.attr('id', 'exportbtn-'+z);
					
		                btn.bind('click', {chart: jQuery(this)}, function(evt) {

		                	var btnId = jQuery(this).attr('id');
		                	btnId = btnId.split('-');
		                	btnId = btnId[1];
	 		                
		                    var imgelem = evt.data.chart.jqplotToImageElem();
		                    var div = jQuery(this).nextAll('div.jqplot-image-container' + btnId).first();
		                    div.children('div.jqplot-image-container-content').empty();
		                    div.children('div.jqplot-image-container-content').append(imgelem);

		                    
		                    
		                    jQuery('div.jqplot-image-container' + btnId).dialog( { 
		                    	'modal': true,
		                	    'width': 650,
		                	    'height': 620,	       
		                	    'title': '<?php echo __('Export', 'wpsg'); ?>'
		                    } );	                    
		                    div = null;
		                    
			            });
		                z++;
		                jQuery(this).after(btn);
		                btn.after('<br />');
		                btn = null;
		            }
		        });
		    }

		}
		
	</script>

	<div class="icon32 icon32-posts-post" id="icon-edit"><br></div>
	<h2>
		<?php echo __('Statistik', 'wpsg'); ?>				
	</h2>
	
	<br/>
	
	<div class="wpsg_admin_submenu" style="margin-top:8px;">
		
		<div class="head">
			<div class="title"><?php echo __('Auswahl', 'wpsg'); ?></div>			
			<div style="clear:both;"></div>
		</div>
		
		<ul>
		<?php foreach ($this->view['charts'] as $index => $chart) { ?>

			<li class="<?php echo ((strtolower($index) == $_REQUEST['id'])?'current':''); ?>"><a href="admin.php?page=wpsg-Statistics&amp;id=<?php echo wpsg_hspc($index); ?>"><?php echo wpsg_hspc($chart['name']); ?></a></li>
		
		<?php } ?>
		</ul>
		<div style="clear:both; margin-bottom:10px; margin-left:0px; margin-right:8px;"></div>
			
	</div>
	
	<div style="padding-right:10px; margin-left:210px; float:none;" class="subsubsub">
		
		<?php 
			
			if (wpsg_isSizedString($this->view['chart']['data']['template']))
			{
				$templateFile = $this->view['chart']['data']['template'].'.phtml';		
			}
			else
			{
				$templateFile = str_replace('get', '', strtolower($this->view['standardFilter'][$this->view['filter']['standard']]['func']).'.phtml');
			}
				
			$templatePath = WPSG_PATH_VIEW.'/mods/mod_statistics/'.strtolower($this->view['charts'][$_REQUEST['id']]['func']).'/'.$templateFile;
			
			if (is_file($templatePath)) 
			{ 
				$this->render($templatePath); 
			} 
			else 
			{ 
				
				wpsg_debug($templatePath);
				echo '<strong>'.__('Ungültige Anfrage', 'wpsg').'</strong>';
				 
			} 
		?>
		
	</div>
	
	<div style="clear:both; margin-bottom:10px; margin-left:0px; margin-right:8px;"></div>